import * as React from 'react';
import { noop } from 'lodash';

export interface Props {
  onScroll: (event: any) => void;
  width: number | string;
  role: string;
}

class Content extends React.PureComponent<Props> {
  static displayName = 'Content';
  static defaultProps = {
    children: null,
    role: 'presentation',
    onScroll: noop,
  };

  render() {
    const { onScroll, width, role } = this.props;

    return (
      <div
        onScroll={ onScroll }
        role={ role }
        className='c_scrollbar__child'
        style={ { width: width } }
      >
        { this.props.children }
      </div>
    );
  }
}

export default Content;
